Subject: Re: bug#35542: Installer does not display full backtrace on error

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 4 May 2019 19:40:32 +0200

On Sat, May 04, 2019 at 07:38:07PM +0200, pelzflorian (Florian Pelz) wrote:
> On Sat, May 04, 2019 at 07:06:17PM +0200, Danny Milosavljevic wrote:
> > So I'd be for either presenting the entire backtrace or suppressing the
> > entire backtrace, not having teaser backtraces :)
> 
> Let’s assume someone is getting an error in the installer for some
> reason.  If they are Guix developers, maybe they understand the issue
> from the (trimmed) backtrace.  If they are not well-versed in Unix,
> with the backtrace they can exfiltrate the (trimmed) error with a
> camera.  I hope I understand the purpose correctly.  Maybe it saves
> the people on the mailing list complicated explanations.  These maybes
> become more likely with a fuller backtrace, I suppose.
> 

On the other hand the error message after the backtrace is hopefully
enough most of the time.  But maybe it is not.

Regards,
Florian